Obter informações do canal
curl --request GET \
--url https://{host}/api/{session}/channels/{id} \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/channels/{id}"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/channels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123456789@newsletter",
"name": "Canal de Notícias",
"description": "Últimas notícias e atualizações",
"followersCount": 1523,
"picture": "https://..."
}
Canais
Obter Informações do Canal
Obter informações detalhadas de um canal específico
GET
/
api
/
{session}
/
channels
/
{id}
Obter informações do canal
Descrição
Este endpoint retorna as informações detalhadas de um canal específico através do seu ID.Parâmetros de URL
string
required
ID único da sessão WhatsApp autenticada
string
required
ID único do canal que deseja obter informações
Resposta
string
ID único do canal
string
Nome do canal
string
Descrição do canal
number
Número de seguidores do canal
string
URL da imagem do canal
{
"id": "123456789@newsletter",
"name": "Canal de Notícias",
"description": "Últimas notícias e atualizações",
"followersCount": 1523,
"picture": "https://..."
}
Códigos de Status
200- Informações obtidas com sucesso400- ID inválido401- Não autorizado404- Canal não encontrado500- Erro interno do servidor
Exemplo de Uso
curl -X GET https://api.wappfy.com.br/api/my-session/channels/123456789@newsletter
const session = 'my-session';
const channelId = '123456789@newsletter';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/channels/${channelId}`);
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
channel_id = '123456789@newsletter'
response = requests.get(f'https://api.wappfy.com.br/api/{session}/channels/{channel_id}')
data = response.json()
print(data)
Authorizations
Sua chave de API do Wappfy (obtenha em dash.wappfy.com.br)
Path Parameters
Nome da sessão (instanceName)
Response
200 - application/json
Newsletter id
Example:
"123123123123@newsletter"
Channel name
Example:
"Channel Name"
Invite link
Example:
"https://www.whatsapp.com/channel/111111111111111111111111"
Available options:
OWNER, ADMIN, SUBSCRIBER, GUEST Preview for channel's picture
Example:
"https://mmg.whatsapp.net/m1/v/t24/An&_nc_cat=10"
Channel's picture
Example:
"https://mmg.whatsapp.net/m1/v/t24/An&_nc_cat=10"
